#pragma once
#include "simpletextshape.h"
#include "StateControl.h"
#include "ScriptletContainerFactory.h"

class StateTextShape : public CSimpleTextShape
{
public:
	DECLARE_COMPONENT_CREATOR(StateTextShape);
	StateTextShape(void);
	virtual ~StateTextShape(void);

	//override
	LPCTSTR GetClassName() { return SCRIPTLET_STATETEXT_NODE; }
	void OnAddNotify();
	void OnRemoveNotify();
	void DrawComponent(HDC hDC);

	void SetOverTextColor(COLORREF clr) { m_clrOver = clr; }
	void SetPressTextColor(COLORREF clr) { m_clrPress = clr; }
	void SetDiableTextColor(COLORREF clr) { m_clrDisable = clr; }

private:
	CStateControl m_stateControl;
	CNControl* m_pParentControl;

	COLORREF m_clrOver;
	COLORREF m_clrPress;
	COLORREF m_clrDisable;

	COLORREF GetStateColor();
};
